Enhancements to Dissolve

2015-10-22 06:42 AM - Bernhard Ströbl

Status: Open
Description

This ticket lists enhancements to Processing's Dissolve from several tickets. The enhancements should be included in QGIS 3.0.

    1. speed up dissolve algorithm, was committed in commit:116089e, but reverted in commit:64bf3a8 because of #13502

    2. dissolve on multiple fields #6040

    3. dissolve polylines #13386

    4. calculate statistics on fields not used for dissolve #6804

    5. option to dissolve only adjacent features #6801

History

#1 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-05-06 11:25 PM - Regis Haubourg

- Description updated

And I would add :

- implicit topology cleaning using snap2grid + tolerance parameter to reduce the number of Geos errors for incorrect topologies border relations

(and dreaming a bit, add a true topology break step before all algorithms supposing good topology between polygons :) )

#3 - 2017-05-17 10:47 AM - Ger CO

Please address the issue, that currently all fields (not just the fields used as dissolve fields) are maintained. This is very confusing since we do not know

whcih values of non-dissolve fields are maintained.

#4 - 2017-07-04 02:27 PM - Regis Haubourg

Ger CO wrote:

Please address the issue, that currently all fields (not just the fields used as dissolve fields) are maintained. This is very confusing since we do not

know whcih values of non-dissolve fields are maintained.

Hi Ger CO, please consider supporting that work, making a roadmap is a thing, implementing it another.

#5 - 2017-07-05 11:44 AM - Ger CO
Regis Haubourg wrote:

Ger CO wrote:

Please address the issue, that currently all fields (not just the fields used as dissolve fields) are maintained. This is very confusing since we do not

know whcih values of non-dissolve fields are maintained.

Hi Ger CO, please consider supporting that work, making a roadmap is a thing, implementing it another.

Hi Regis, 

i understand that implementing is way harder than asking for changes. I have no profound programming background but am willing to dive deeper into

that. 

Can you tell me how to get started?

#6 - 2017-07-05 12:30 PM - Giovanni Manghi

Ger CO wrote:

Regis Haubourg wrote:

Ger CO wrote:

Please address the issue, that currently all fields (not just the fields used as dissolve fields) are maintained. This is very confusing since we do

not know whcih values of non-dissolve fields are maintained.

Hi Ger CO, please consider supporting that work, making a roadmap is a thing, implementing it another.

Hi Regis, 

i understand that implementing is way harder than asking for changes. I have no profound programming background but am willing to dive deeper

into that. 

Can you tell me how to get started?

http://docs.qgis.org/2.18/en/docs/pyqgis_developer_cookbook/index.html

or if you or your organization don't want to become direct contributors

http://qgis.org/en/site/forusers/commercial_support.html#qgis-commercial-support

#7 - 2017-07-05 01:35 PM - Regis Haubourg

Hi Regis, 

i understand that implementing is way harder than asking for changes. I have no profound programming background but am willing to dive deeper

into that. 

Can you tell me how to get started?

here is a good start too: https://www.qgis.org/en/site/getinvolved/index.html

By myself I don't code, but I try to help in bugtracker work (far away from Giovanni commitment), long term feature requirements (QEP's) discussions,
sometimes translation or documentation. My main work was to find a way to support qgis with fundings at my previous work, and this is a very efficient

way. Companies involved are available almost everywhere, and small clear tasks, well identified upstream in tracker or lists are very often not so

expensive. Each point of view is valuable in any part of the QGIS (OSGEO in fact) ecosystem. And contributing in one place also sometimes helps having

things done in another place ;)
